Personal tools
You are here: Home Forum Install & build Paraview version for master branch ?

Paraview version for master branch ?

Up to Install & build

Paraview version for master branch ?

Posted by Christophe Trophime at February 12. 2018

Hi, I'm trying to build Salome from scratch on future Ubuntu LTS 18.04.
I'm running into this error (GUI COMMITID: a72cbea62c5395):

[ 38%] Building CXX object src/VTKViewer/CMakeFiles/VTKViewer.dir/VTKViewer_Texture.cxx.o

cd /home/feelpp/salome/SALOME-master-Debian-MPI-UB18.04/BUILD/GUI/src/VTKViewer && /usr/bin/mpicxx  -DCALL_OLD_METHODS -DH5_USE_16_API -DMPICH_IGNORE_CXX_SEEK -DPCLINUX64 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_HELP_LIB -DQT_NETWORK_LIB -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_POSITIONING_LIB -DQT_PRINTSUPPORT_LIB -DQT_QML_LIB -DQT_QUICK_LIB -DQT_SQL_LIB -DQT_TESTCASE_BUILDDIR=\"/home/feelpp/salome/SALOME-master-Debian-MPI-UB18.04/BUILD/GUI\" -DQT_TESTLIB_LIB -DQT_WEBCHANNEL_LIB -DQT_WEBENGINECORE_LIB -DQT_WEBENGINEWIDGETS_LIB -DQT_WEBENGINE_LIB -DQT_WIDGETS_LIB -DQT_X11EXTRAS_LIB -DQT_XML_LIB -DSINGLE_DESKTOP -DVTKViewer_EXPORTS -DVTK_OPENGL2 -DWITH_SALOMEDS_OBSERVER -I/home/feelpp/salome/SALOME-master-Debian-MPI-UB18.04/INSTALL/KERNEL/include/salome -I/usr/include/python2.7 -I/usr/include/libxml2 -I/usr/include/hdf5-1.8/openmpi -I/usr/lib/x86_64-linux-gnu/openmpi/include/openmpi -I/usr/lib/x86_64-linux-gnu/openmpi/include/openmpi/opal/mca/event/libevent2022/libevent -I/usr/lib/x86_64-linux-gnu/openmpi/include/openmpi/opal/mca/event/libevent2022/libevent/include -I/usr/lib/x86_64-linux-gnu/openmpi/include -I/home/feelpp/salome/BASE/ParaView-5.4.1/config-1/include/paraview-5.4 -I/usr/include/jsoncpp -I/usr/include/freetype2 -I/usr/include/opencascade -isystem /usr/include/x86_64-linux-gnu/qt5 -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore -isystem /usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++ -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5/QtWidgets -isystem /usr/include/x86_64-linux-gnu/qt5/QtNetwork -isystem /usr/include/x86_64-linux-gnu/qt5/QtXml -isystem /usr/include/x86_64-linux-gnu/qt5/QtOpenGL -isystem /usr/include/x86_64-linux-gnu/qt5/QtPrintSupport -isystem /usr/include/x86_64-linux-gnu/qt5/QtHelp -isystem /usr/include/x86_64-linux-gnu/qt5/QtSql -isystem /usr/include/x86_64-linux-gnu/qt5/QtTest -isystem /usr/include/x86_64-linux-gnu/qt5/QtX11Extras -isystem /usr/include/x86_64-linux-gnu/qt5/QtWebEngine -isystem /usr/include/x86_64-linux-gnu/qt5/QtWebEngineCore -isystem /usr/include/x86_64-linux-gnu/qt5/QtQuick -isystem /usr/include/x86_64-linux-gnu/qt5/QtQml -isystem /usr/include/x86_64-linux-gnu/qt5/QtWebChannel -isystem /usr/include/x86_64-linux-gnu/qt5/QtPositioning -isystem /usr/include/x86_64-linux-gnu/qt5/QtWebEngineWidgets -I/home/feelpp/salome/SALOME-master-Debian-MPI-UB18.04/SOURCES/GUI/src/Qtx -I/home/feelpp/salome/SALOME-master-Debian-MPI-UB18.04/SOURCES/GUI/src/SUIT  -fno-operator-names -std=c++11  -O3 -DNDEBUG -fPIC    -DHAVE_MPI2 -DLIN -DLINTEL -DCSFDB -DNo_exception -DOCC_CONVERT_SIGNALS -D_OCC64 -fPIC -std=gnu++11 -o CMakeFiles/VTKViewer.dir/VTKViewer_Texture.cxx.o -c /home/feelpp/salome/SALOME-master-Debian-MPI-UB18.04/SOURCES/GUI/src/VTKViewer/VTKViewer_Texture.cxx

/home/feelpp/salome/SALOME-master-Debian-MPI-UB18.04/SOURCES/GUI/src/VTKViewer/VTKViewer_Texture.cxx: In member function 'virtual void VTKViewer_Texture::Load(vtkRenderer*)':

/home/feelpp/salome/SALOME-master-Debian-MPI-UB18.04/SOURCES/GUI/src/VTKViewer/VTKViewer_Texture.cxx:537:16: error: 'class VTKViewer_Texture' has no member named 'ColorMode'; did you mean 'ErrorCode'?

         (this->ColorMode ||

                ^~~~~~~~~

                ErrorCode

src/VTKViewer/CMakeFiles/VTKViewer.dir/build.make:634: recipe for target 'src/VTKViewer/CMakeFiles/VTKViewer.dir/VTKViewer_Texture.cxx.o' failed

I'm trying to use Paraview 5.4.1...
Obviously you are using a more recent version..
Could you tell me the commit ID of Paraview you are considering?
 
Best
C  
Powered by Ploneboard
Document Actions